Subject: Re: [seamoby] CT trigger/completion

From: James Kempf <[email-masked]>
Date: Fri, 13 Jul 2001 08:56:46 -0700 (PDT)

Youngjune,

I think it should be possible to tunnel packets to nAR w.o. context
transfer. Context transfer is an optimization, so that, when
the packets get to nAR, they can be delivered faster to the
MN.

		jak
		
>Delivered-To: [email-masked]
>Date: Thu, 12 Jul 2001 17:28:43 -0700 (PDT)
>From: Youngjune Lee Gwon <[email-masked]>
>X-Sender: [email-masked]
>To: Nakhjiri Madjid-MNAKHJI1 <[email-masked]>
>cc: [email-masked]
>Subject: [seamoby] CT trigger/completion
>
>Hi,
>
>This is a quick question regarding CT trigger/completion debate.
>
>Consider if a MN is receiving IP packets from nAR, and the packets are
>forwarded (tunneled, e.g. BETH) from the oAR. Are forwarded packets
>(CN->oAR->nAR->MN) OK without CT between oAR and nAR? Or, do they still
>require that CT should be completed at nAR by the time MN is receiving
>them from nAR?
>
>My understanding is that CT does not have to be completed at nAR if
>packets are tunneled from oAR. And, oAR can support MN's IP
>micro-flow because context info is still there at oAR. Correct?
>
>Youngjune
>
>
>On Thu, 12 Jul 2001, Nakhjiri Madjid-MNAKHJI1 wrote:
>
>> 
>> 
>> -Given this, it seems like the implementation consequences of separating
>> CT and handover signalling are the following. If nAR doesn't know first that 
a 
>> handover is going to happen and a CT packet arrives first, it must set
>> a timer and wait until the handover signaling arrives. If the handover
>> signaling doesn't arrive until the timer pops, nAR discards the CT.
>> If it does, nAR completes the handover by replying back to oAR and
>> installing CT. Then  awaits the arrival of the MN on the new L2.
>> 
>> Does this make sense?
>> 
>> 		jak
>> 
>> Madjid>> James, the timer makes sense, however, the time to live
>> for each context depends on the feature that the context belongs 
>> too, maybe such a time to live can be added to the context packets.
>> Having a universal time to live for all types of context is not
>> very precise.
>> 
>> Madjid
>> 
>